processing.app.contrib

## Class ModeContribution

- Object
- - Contribution
  - - LocalContribution
    - - ModeContribution

-     public class ModeContribution
      extends LocalContribution

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class Contribution

      `Contribution.Filter`

  - ### Field Summary

    - ### Fields inherited from class LocalContribution

      `DELETION_FLAG, RESTART_FLAG, UPDATE_FLAGGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeContribution(Base base, File folder, String className)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearClassLoader(Base base)` Method to close the ClassLoader so that the archives are no longer "locked" and a mode can be removed without restart.
    `boolean` | `equals(Object o)`
    `Mode` | `getMode()`
    `ContributionType` | `getType()`
    `String` | `initLoader(Base base, String className)`
    `static ModeContribution` | `load(Base base, File folder)`
    `static ModeContribution` | `load(Base base, File folder, String searchName)`

    - ### Methods inherited from class LocalContribution

      `getFolder, getId, getImports, getLatestVersion, initLoader, isInstalled`

    - ### Methods inherited from class Contribution

      `getAuthorList, getLastUpdated, getMaxRevision, getMinRevision, getName, getParagraph, getPrettyVersion, getSentence, getTypeName, getUrl, getVersion, isCompatible, isFoundation, loadProperties, loadProperties`

    - ### Methods inherited from class Object

      `getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModeContribution

          public ModeContribution(Base base,
                                  File folder,
                                  String className)
                           throws Exception

      Parameters:
        `base` - the base object that this will be tied to
        `folder` - location inside the sketchbook modes folder or contrib
        `className` - name of class and full package, or null to use default
      Throws:
        `Exception`

  - ### Method Detail

    - #### load

          public static ModeContribution load(Base base,
                                              File folder)

    - #### load

          public static ModeContribution load(Base base,
                                              File folder,
                                              String searchName)

    - #### clearClassLoader

          public void clearClassLoader(Base base)

      Method to close the ClassLoader so that the archives are no longer "locked" and a mode can be removed without restart.

    - #### getMode

          public Mode getMode()

    - #### getType

          public ContributionType getType()

      Specified by:
        `getType` in class `Contribution`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### initLoader

          public String initLoader(Base base,
                                   String className)
                            throws Exception

      Throws:
        `Exception`